FrameWidgetTreeItem Class Reference

FrameWidgetTreeItem tree widget item class. More...

`#include <PlotDialog.h>`

Inheritance diagram for FrameWidgetTreeItem:

## Public Types

enum | { FrameWidgetItem = 1003 }

## Public Member Functions

FrameWidget * | frameWidget ()
| FrameWidgetTreeItem (FrameWidget *w, LayerItem *parent, const QString &s)
Graph * | graph ()
void | setActive (bool on)

## Protected Member Functions

QPixmap | frameWidgetPixmap ()

## Protected Attributes

FrameWidget * | d_widget

## Detailed Description

FrameWidgetTreeItem tree widget item class.

## Member Enumeration Documentation

anonymous enum

Enumerator
FrameWidgetItem |

## Constructor & Destructor Documentation

FrameWidgetTreeItem::FrameWidgetTreeItem | ( | FrameWidget * | w,
|  | LayerItem * | parent,
|  | const QString & | s
| ) |  |

References d_widget, and setActive().

## Member Function Documentation

FrameWidget* FrameWidgetTreeItem::frameWidget | ( |  | ) |

inline

References d_widget.

Referenced by PlotDialog::updateTabWindow().

QPixmap FrameWidgetTreeItem::frameWidgetPixmap | ( |  | ) |

protected

References d_widget.

Referenced by setActive().

Graph* FrameWidgetTreeItem::graph | ( |  | ) |

inline

Referenced by PlotDialog::updateTabWindow().

void FrameWidgetTreeItem::setActive | ( | bool | on | ) |

References frameWidgetPixmap().

Referenced by FrameWidgetTreeItem(), and PlotDialog::updateTabWindow().

## Member Data Documentation

FrameWidget* FrameWidgetTreeItem::d_widget

protected

Referenced by frameWidget(), frameWidgetPixmap(), and FrameWidgetTreeItem().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/PlotDialog.h
- qtiplot/src/plot2D/dialogs/PlotDialog.cpp